#include <iostream.h>

int main()
{
	long	num = 7;
	long	res = 0;
	
	// Введите число num
	cout << "Input number: ";
	cin >> num;

	// Блок try, из которого можно вызвать исключение
	try {
		if((num == 7) || (num == 0))

	// Если переменная num содержит значение 0 или 7,
	// тогда вызываем исключение типа float
			throw num;

	// Значения num равные 0 или 7 вызовут ошибку 
	// деления на нуль в следующем выражении
		res = 100 / (num * (num - 7));

	// Отображаем на экране результат вычисления
		cout << "Result = " << res << endl;
	}

	// Обработчик исключения типа float
	catch(long num)
	{
		// Отображаем на экране значение переменной num
		cout << "Exception, num = " << num << endl;
	}

	cout << "Stop program" << endl;
	return 0;
}
